ML Prep API (v1)
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/verification/routines
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/verification/routines' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The list of verification routines
A number signifying the order to run verification routine with respect to other verifications
A list of runs for the verification routine on the current instrument, ordered by most recent
A boolean signifying that the HEPAUV device must be present to run this verification routine
List of required verification devices
[ { "id": 0, "name": "string", "verificationOrder": 0, "dueDate": "2019-08-24T14:15:22Z", "runs": [ … ], "requiredThermalDevice": "Hhs", "requiresHepaUv": true, "verificationDevices": [ … ], "serviceRoutine": { … } } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/verification/routines/{routineId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/verification/routines/{routineId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The verification routine
A number signifying the order to run verification routine with respect to other verifications
A list of runs for the verification routine on the current instrument, ordered by most recent
A boolean signifying that the HEPAUV device must be present to run this verification routine
List of required verification devices
{ "id": 0, "name": "string", "verificationOrder": 0, "dueDate": "2019-08-24T14:15:22Z", "runs": [ { … } ], "requiredThermalDevice": "Hhs", "requiresHepaUv": true, "verificationDevices": [ { … } ], "serviceRoutine": { "id": 0, "name": "string", "isRecommended": true, "lastRun": "2019-08-24T14:15:22Z" } }
- Mock server
http://{{your_prep_ip_address}}/api/v1/verification/runs
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/verification/runs' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The list of verification runs
A number signifying the order to run verification routine with respect to other verifications
A list of runs for the verification routine on the current instrument, ordered by most recent
A boolean signifying that the HEPAUV device must be present to run this verification routine
List of required verification devices
[ { "id": 0, "name": "string", "verificationOrder": 0, "dueDate": "2019-08-24T14:15:22Z", "runs": [ … ], "requiredThermalDevice": "Hhs", "requiresHepaUv": true, "verificationDevices": [ … ], "serviceRoutine": { … } } ]